package iot.lidee.iot.service;

import iot.lidee.iot.domain.Device;
import iot.lidee.iot.model.bygz.ByManagementJl;
import iot.lidee.iot.model.bygz.DevGzbxWxgdDO;

import java.util.List;

public interface IDeviceMaintenanceRepairService {

    void syncDeviceMaintenanceRepairInfo();

    List<ByManagementJl> maintenanceList(String devtype);

    List<DevGzbxWxgdDO> repairList(String devtype);

    List<Device>  deviceList(String devtype);
}
